Thank you for your contribution! Before submitting this PR, please make sure:

- [ ] The unit test suite runs without any errors or warnings 
    - If the unit test suite fails, and you believe the failure is due to the test suite, please let us know in your PR description
    - We recommend using `nose` to run the unit test suite with the command:
    ```
    nosetests -v --with-coverage --cover-package=cocoasm
    ```
- [ ] You have followed [PEP 8 Style Guidelines](https://www.python.org/dev/peps/pep-0008/)
- [ ] You have run [pylint](https://www.pylint.org/) on your code changes to check for errors or warnings
- [ ] You have added unit tests to cover the functionality you have added
    - We ask that at least 50% of the changeset you are submitting has been covered by tests
